package dev.inmo.postssystem.core.exposed.content

import dev.inmo.postssystem.core.content.Content
import dev.inmo.postssystem.core.content.ContentId

interface ContentHolderRepo<T : Content> {
    suspend fun getContent(id: ContentId) : T?
    suspend fun removeContent(id: ContentId)
    suspend fun putContent(id: ContentId, content: T)
}
