package dev.inmo.postssystem.core.ktor

import dev.inmo.postssystem.core.content.ContentId
import dev.inmo.postssystem.core.content.RegisteredContent
import dev.inmo.postssystem.core.post.PostId
import dev.inmo.postssystem.core.post.RegisteredPost
import dev.inmo.micro_utils.pagination.PaginationResult
import kotlinx.serialization.builtins.*

val contentIdsSerializer = SetSerializer(ContentId.serializer())
val postIdsSerializer = SetSerializer(PostId.serializer())
val registeredPostsListSerializer = ListSerializer(RegisteredPost.serializer())
val registeredPostsPaginationResultSerializer = PaginationResult.serializer(RegisteredPost.serializer())
val registeredContentPaginationResultSerializer = PaginationResult.serializer(RegisteredContent.serializer())
