package dev.inmo.postssystem.core.publishing

import dev.inmo.postssystem.core.post.PostId

typealias PublishingKeyReceiverGetter = suspend (TriggerId) -> PublishingKeyReceiver?

interface PublishingKeyReceiver : Trigger {
    suspend fun acceptKey(postId: PostId, publishingKey: TriggerControlKey)
}
